Linux/Ubuntu2016. 10. 5. 20:49

odroid 쓰다 보니 커널이 자동 업데이트 되면서 정상작동하지 않아

특정 패키지(그러니까.. 커널?)를 업데이트 되지 않도록 할 필요가 있다.


These lines are irrelevant to kernel upgrades. And also that is not good to comment them. You will not be able to install some packages if you do it.


You can freeze any package including kernel packages by


sudo apt-mark hold <package_name>

for example


sudo apt-mark hold linux-image-generic linux-headers-generic

But you need to check which kernel meta-package is installed for LTS versions. It may be linux-generic-lts-utopic, etc. 

[링크 : http://askubuntu.com/questions/678630/how-can-i-avoid-kernel-updates]

+ 2016.11.14

Hold a package:

sudo apt-mark hold package_name


Remove the hold:

sudo apt-mark unhold package_name 


[링크 : http://askubuntu.com/questions/18654/how-to-prevent-updating-of-a-specific-package]


어.. 설치가 안되어 있는데 왜 엉긴거지?

$ apt-cache search linux-image-generic

linux-image-generic - Generic Linux kernel image

linux-image-generic-lts-raring - Generic Linux kernel image

linux-image-generic-lts-saucy - Generic Linux kernel image

linux-image-generic-lts-trusty - Generic Linux kernel image

linux-image-generic-lpae - Generic Linux kernel image

linux-image-generic-lpae-lts-saucy - Generic Linux kernel image

linux-image-generic-lpae-lts-trusty - Generic Linux kernel image

linux-image-highbank - Linux kernel image for the armhf architecture.

linux-image-omap - Linux kernel image for the armhf architecture.

linux-image-generic-lts-utopic - Generic Linux kernel image

linux-image-generic-lts-vivid - Generic Linux kernel image

linux-image-generic-lts-wily - Generic Linux kernel image

linux-image-generic-lts-xenial - Generic Linux kernel image

linux-image-generic-lpae-lts-utopic - Generic Linux kernel image

linux-image-generic-lpae-lts-vivid - Generic Linux kernel image

linux-image-generic-lpae-lts-wily - Generic Linux kernel image

linux-image-generic-lpae-lts-xenial - Generic Linux kernel image 


Posted by 구차니

댓글을 달아 주세요